<?php
/**
 * Archive page template - "Medium image" layout
 *
 * @package Multi
 */

?>
<?php
$multimagazine_load_posts = multimagazine_get_post_loading_classes();

?>
<div class="main postlist">
	<?php if ( ! empty( $multimagazine_load_posts ) ) : ?>
		<div class="<?php echo esc_attr( $multimagazine_load_posts ); ?>">
	<?php endif; ?>

	<?php
	get_template_part( 'archive-heading' );
	if ( have_posts() ) {

		$multimagazine_post_args = multimagazine_postlist_meta_flags();
		while ( have_posts() ) {
			the_post();
			get_template_part( 'post-list-parts/post-medium-image', null, $multimagazine_post_args );
		}
	} else {
		get_template_part( 'template-parts/archive-empty' );
	}

	?>
	<?php if ( ! empty( $multimagazine_load_posts ) ) : ?>
		</div>
	<?php endif; ?>
	<?php get_template_part( 'template-parts/pager' ); ?>
	<?php get_template_part( 'archive-description' ); ?>
</div>
